Close

###

####

Close

####

- Play All
- Play
- Play Track Next
- Add Track to Bottom of Queue
- Add All to Bottom of Queue

- Play
- Play Track Next
- Add Track to Bottom of Queue
- Add all to Bottom of Queue
- Show Album
- Show Artist

## Artists

- Play
- Remove from Queue
- Show Album
- Show Artist

## Artists

# Musicbox

#### Now Playing

#### Queue

#### Playlists

#### Browse

#### Streams

#### Search

#### Alarm Clock

#### Settings

#### System

###

-

0:00 0:00 Position

Back

### Browse

####

Clear

#### Play Queue

###

#####

###

#### Artists

#### Albums

#### Tracks

#### Streams

Select a service and add an url of a stream that you want to listen.

Put in a name and hit the Save button to save the stream in your browser (not on the server yet).